> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Get database statistics

> Retrieves table names and estimated row counts for tables in the 'user_info' namespace. Requires AdminDatabaseStats permissions.



## OpenAPI

````yaml https://stash.seraph.si/json get /admin/database/stats
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /admin/database/stats:
    get:
      tags:
        - Admin
      summary: Get database statistics
      description: >-
        Retrieves table names and estimated row counts for tables in the
        'user_info' namespace. Requires AdminDatabaseStats permissions.
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/admin.TableRowCount'
                type: array
          description: Successfully retrieved database statistics
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: 'Forbidden: Insufficient permissions'
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    admin.TableRowCount:
      properties:
        estimated_row_count:
          type: integer
        table_name:
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````